# Uses of Interface
com.google.testing.compile.CompileTester.FileClause

## Uses of CompileTester.FileClause in com.google.testing.compile

Methods in com.google.testing.compile that return CompileTester.FileClause
Modifier and Type
Method
Description
`CompileTester.FileClause<CompileTester.UnsuccessfulCompilationClause>`
CompileTester.UnsuccessfulCompilationClause.`withErrorContaining(String messageFragment)`
Checks that an error exists that contains the given fragment in the diagnostic message.
`CompileTester.FileClause<T>`
CompileTester.CompilationWithNotesClause.`withNoteContaining(String messageFragment)`
Checks that a note exists that contains the given fragment in the diagnostic message.
`CompileTester.FileClause<T>`
CompileTester.CompilationWithWarningsClause.`withWarningContaining(String messageFragment)`
Checks that a warning exists that contains the given fragment in the diagnostic message.